%define _realname adblock
%define _mozdir %_libdir/mozilla
%define _chromedir %_mozdir/chrome

# Look at http://adblockplus.mozdev.org/history.html
# /me bangs head on desk, weeps.

Name: mozilla-addon-adblock
Version: 0.5
Release: alt1
Summary: Removes unwanted images based on their address
License: GPL
Url: http://adblock.mozdev.org/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
# actually author define it as "0.5 development build 3, nightly 42" or 0.5.3.042
Source0: http://adblock.ethereal.net/Adblock_v.5/adblock-05-dev.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
AdBlock allows the user to specify a number of filters, which removes
unwanted content (images, flash, ...) based on their address.

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %SOURCE0 -d $RPM_BUILD_ROOT%_mozdir
#rm -f $RPM_BUILD_ROOT%_chromedir/install*
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

%files
%attr(644,root,root) %_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %_chromedir/installed-chrome-*.txt >%_chromedir/installed-chrome.txt

%postun
umask 022
cat %_chromedir/installed-chrome-*.txt >%_chromedir/installed-chrome.txt

%changelog
* Mon Jan 30 2006 Victor Forsyuk <force@altlinux.ru> 0.5-alt1
- 0.5

* Fri Jul 18 2003 Victor Forsyuk <force@altlinux.ru> 0.2.1-alt1
- Initial build for Sisyphus.
